Bug 1734107 - When deploying logging, storage config is stripped out of the imported ClusterLogging instance
Summary: When deploying logging, storage config is stripped out of the imported Cluste...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 16:15 UTC by Nicholas Nachefski
Modified: 2019-12-16 03:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nicholas Nachefski 2019-07-29 16:15:40 UTC
OCP 4.1.4 w/ rook-ceph storage deployed.  rook-ceph storageclass is set to default and it properly provisions PVs for image-registry, prometheus (metrics) and other workloads.  

when i create the ClusterLogging instance specifying the 'storage' config and then go and 'oc edit ClusterLogging instance' after it is created, the storage config is not present.  I just see "storage: {}".  When i re-apply the storage config manually it holds, but the PVCs dont get created for ES.


Here is my full config:
```
apiVersion: "logging.openshift.io/v1"
kind: "ClusterLogging"
metadata:
  name: "instance"
  namespace: "openshift-logging"
spec:
  managementState: "Managed"
  logStore:
    elasticsearch:
      nodeCount: 3
      redundancyPolicy: SingleRedundancy
      resources:
        limits:
          memory: 2Gi
        requests:
          cpu: 200m
          memory: 2Gi
      storage:
        storageClass:
          name: rook-ceph-block
          size: 20G
    type: elasticsearch
  visualization:
    type: "kibana"
    kibana:
      resources:
        limits:
          memory: 1Gi
        requests:
          cpu: 500m
          memory: 1Gi
      replicas: 1
  curation:
    type: "curator"
    curator:
      resources:
        limits:
          memory: 200Mi
        requests:
          cpu: 200m
          memory: 200Mi
      schedule: "*/5 * * * *"
  collection:
    logs:
      type: "fluentd"
      fluentd:
        resources:
          limits:
            memory: 1Gi
          requests:
            cpu: 200m
            memory: 1Gi
```

Comment 3 Michael Burke 2019-07-30 21:07:49 UTC
Docs PR: https://github.com/openshift/openshift-docs/pull/16056


Note You need to log in before you can comment on or make changes to this bug.